Package net.shibboleth.profile.context.logic.impl

# Class RelyingPartiesActivationConditionFactory

java.lang.Object
net.shibboleth.profile.context.logic.impl.RelyingPartiesActivationConditionFactory

All Implemented Interfaces:
  `Function<Map<String,Object>,Predicate<ProfileRequestContext>>`

public class RelyingPartiesActivationConditionFactory extends Object implements Function<Map<String,Object>,Predicate<ProfileRequestContext>>
Factory function for manufacturing activation conditions based on `AttributeTranscoderRegistry.PROP_RELYINGPARTIES`.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartiesActivationConditionFactory()`

## Method Summary

Modifier and Type
Method
Description
`Predicate<ProfileRequestContext>`
`apply(Map<String,Object> rule)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### RelyingPartiesActivationConditionFactory

public RelyingPartiesActivationConditionFactory()

## Method Details

### apply

@Nullable public Predicate<ProfileRequestContext> apply(@Nullable Map<String,Object> rule)

Specified by:
  `apply` in interface `Function<Map<String,Object>,Predicate<ProfileRequestContext>>`